const get = (editor, name) => {
    if (editor.options) {
        return editor.options.get(name);
    }
    else {
        return editor.getParam(name);
    }
};
const set = (editor, name, value) => {
    if (editor.options) {
        editor.options.set(name, value);
    }
    else if (editor.settings) {
        editor.settings[name] = value;
    }
};
const unset = (editor, name) => {
    if (editor.options) {
        editor.options.unset(name);
    }
    else if (editor.settings) {
        delete editor.settings[name];
    }
};
export { get, set, unset };
//# sourceMappingURL=Options.js.map