import { Keyboard } from '@ephox/agar';
import { SugarElement, SugarShadowDom } from '@ephox/sugar';
export const TinyActions = (editor) => {
    const iDoc = SugarElement.fromDom(editor.getDoc());
    const uiDoc = SugarShadowDom.getRootNode(SugarElement.fromDom(editor.getElement()));
    const sContentKeydown = (code, modifiers = {}) => {
        return Keyboard.sKeydown(iDoc, code, modifiers);
    };
    const sContentKeystroke = (code, modifiers = {}) => {
        return Keyboard.sKeystroke(iDoc, code, modifiers);
    };
    const sContentKeypress = (code, modifiers = {}) => {
        return Keyboard.sKeypress(iDoc, code, modifiers);
    };
    const sUiKeydown = (code, modifiers = {}) => {
        return Keyboard.sKeydown(uiDoc, code, modifiers);
    };
    return {
        sContentKeypress,
        sContentKeydown,
        sContentKeystroke,
        sUiKeydown
    };
};
//# sourceMappingURL=TinyActions.js.map