import { Chain, Cursors, Step, StructAssert } from '@ephox/agar';
import { Editor } from '../../alien/EditorTypes';
export interface Presence {
    [selector: string]: number;
}
export interface TinyApis {
    getContent: () => string;
    setContent: (html: string) => void;
    setRawContent: (html: string) => void;
    focus: () => void;
    hasFocus: (expected: boolean) => void;
    nodeChanged: () => void;
    assertContent: (expected: string) => void;
    assertContentPresence: (expected: Presence) => void;
    assertContentStructure: (expected: StructAssert) => void;
    assertSelection: (startPath: number[], soffset: number, finishPath: number[], foffset: number) => void;
    setCursor: (elementPath: number[], offset: number) => void;
    setSelectionFrom: (spec: Cursors.CursorSpec | Cursors.RangeSpec) => void;
    setSelection: (startPath: number[], soffset: number, finishPath: number[], foffset: number) => void;
    select: (selector: string, path: number[]) => void;
    /** @deprecated use unsetOption instead */
    deleteSetting: (key: string) => void;
    unsetOption: (key: string) => void;
    /** @deprecated use setOption instead */
    setSetting: (key: string, value: any) => void;
    setOption: (key: string, value: any) => void;
    execCommand: (command: string, value?: any) => void;
    pTryAssertFocus: (waitTime?: number) => Promise<void>;
    sSetContent: <T>(html: string) => Step<T, T>;
    sSetRawContent: <T>(html: string) => Step<T, T>;
    sFocus: <T>() => Step<T, T>;
    sHasFocus: <T>(expected: boolean) => Step<T, T>;
    sNodeChanged: <T>() => Step<T, T>;
    sAssertContent: <T>(expected: string) => Step<T, T>;
    sAssertContentPresence: <T>(expected: Presence) => Step<T, T>;
    sAssertContentStructure: <T>(expected: StructAssert) => Step<T, T>;
    sAssertSelection: <T>(startPath: number[], soffset: number, finishPath: number[], foffset: number) => Step<T, T>;
    sSetCursor: <T>(elementPath: number[], offset: number) => Step<T, T>;
    sSetSelectionFrom: <T>(spec: Cursors.CursorSpec | Cursors.RangeSpec) => Step<T, T>;
    sSetSelection: <T>(startPath: number[], soffset: number, finishPath: number[], foffset: number) => Step<T, T>;
    sSelect: <T>(selector: string, path: number[]) => Step<T, T>;
    /** @deprecated use sUnsetOption instead */
    sDeleteSetting: <T>(key: string) => Step<T, T>;
    sUnsetOption: <T>(key: string) => Step<T, T>;
    /** @deprecated use sSetOption instead */
    sSetSetting: <T>(key: string, value: any) => Step<T, T>;
    sSetOption: <T>(key: string, value: any) => Step<T, T>;
    sExecCommand: <T>(command: string, value?: any) => Step<T, T>;
    sTryAssertFocus: <T>(waitTime?: number) => Step<T, T>;
    cNodeChanged: <T>() => Chain<T, T>;
    cGetContent: <T>() => Chain<T, string>;
}
export declare const TinyApis: (editor: Editor) => TinyApis;
//# sourceMappingURL=TinyApis.d.ts.map