import { Chain } from '@ephox/agar';
import { SugarElement } from '@ephox/sugar';
import { Editor } from '../../alien/EditorTypes';
export interface UiChains {
    cClickOnToolbar: <T extends Editor>(label: string, selector: string) => Chain<T, T>;
    cClickOnMenu: <T extends Editor>(label: string, selector: string) => Chain<T, T>;
    cClickOnUi: <T>(label: string, selector: string) => Chain<T, T>;
    cWaitForPopup: <T>(label: string, selector: string) => Chain<T, T>;
    cWaitForUi: <T>(label: string, selector: string) => Chain<T, T>;
    cWaitForState: <T, U extends Element>(hasState: (element: SugarElement<U>) => boolean) => (label: string, selector: string) => Chain<T, T>;
    cCloseDialog: <T>(selector: string) => Chain<T, T>;
    cSubmitDialog: <T>(selector?: string) => Chain<T, T>;
    cTriggerContextMenu: <T extends Editor>(label: string, target: string, menu: string) => Chain<T, T>;
}
export declare const UiChains: UiChains;
//# sourceMappingURL=UiChains.d.ts.map