import { TestLogs } from '@ephox/agar';
import { FutureResult, Optional } from '@ephox/katamari';
import { SugarElement } from '@ephox/sugar';
export type SuccessCallback = (v?: any, logs?: TestLogs) => void;
export type FailureCallback = (err: Error | string, logs?: TestLogs) => void;
export type RunCallback = (editor: any, success: SuccessCallback, failure: FailureCallback) => void;
interface Callbacks {
    preInit: (tinymce: any, settings: Record<string, any>) => void;
    run: RunCallback;
    success: SuccessCallback;
    failure: FailureCallback;
}
declare const loadScript: (url: string) => FutureResult<string, Error>;
declare const setup: (callbacks: Callbacks, settings: Record<string, any>, elementOpt: Optional<SugarElement<Element>>) => void;
export { setup, loadScript };
//# sourceMappingURL=Loader.d.ts.map