import { Strings, Type } from '@ephox/katamari';
export const setTinymceBaseUrl = (tinymce, baseUrl) => {
    const prefix = document.location.protocol + '//' + document.location.host;
    tinymce.baseURL = baseUrl.indexOf('://') === -1 ? prefix + baseUrl : baseUrl;
    tinymce.baseURI = new tinymce.util.URI(tinymce.baseURL);
};
export const detectTinymceBaseUrl = (settings) => Type.isString(settings.base_url) ? settings.base_url : '/project/node_modules/tinymce';
export const setupTinymceBaseUrl = (tinymce, settings) => {
    if (Type.isString(settings.base_url)) {
        setTinymceBaseUrl(tinymce, settings.base_url);
    }
    else if (!Type.isString(tinymce.baseURL) || !Strings.contains(tinymce.baseURL, '/project/')) {
        setTinymceBaseUrl(tinymce, '/project/node_modules/tinymce');
    }
};
//# sourceMappingURL=Urls.js.map